Summary: Fastest mirror detection for the yum package manager
Name: yum-plugin-fastestmirror
Version: 0.2.4
Release: 3%{dist}
License: GPL
Group: Development/Tools
Source: %{name}-%{version}.tar.gz
Patch0: yum-plugin-fastestmirror-ProxySupp.patch
URL: http://wiki.linux.duke.edu/YumPlugins
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: python, yum >= 2.3.4

%description
The fastest mirror plugin for yum will test multiple mirrors listed for a 
repo and rate them by speed, then use them in that order.  This adds a 
couple seconds at the beginning of the download process, but can greatly 
increase your download speed and stability.

%prep
%setup -q
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT

plugins="fastestmirror"
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/ $RPM_BUILD_ROOT/usr/lib/yum-plugins/

for plug in $plugins; do
    install -m 644 $plug.conf $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/
    install -m 644 $plug.py $RPM_BUILD_ROOT/usr/lib/yum-plugins/
done

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

%files
%defattr(-, root, root)
%doc README* 
%doc COPYING
%doc ChangeLog 
%{_sysconfdir}/yum/pluginconf.d
/usr/lib/yum-plugins

%changelog
* Sun Feb 12 2006 Johnny Hughes <johnny@centos.org> 0.2.4-3.c4
- Changed the default cachetime for fastestmirror to 1 day
  instead of 10 days

* Sun Feb 12 2006 Johnny Hughes <johnny@centos.org> 0.2.4-2.c4
- added yum-plugin-fastestmirror-ProxySupp.patch for turning off if proxy
  is detected (patch by Karanbir Singh).

* Sun Feb 12 2006 Johnny Hughes <johnny@centos.org> 0.2.4-1.c4
- first version based on the yum-utils spec file
